std::piecewise_linear_distribution< _RealType > Class Template Reference
Numerics » Random Number Generation » Random Number Generators » Random Number Distributions » Uniform Distributions » Normal Distributions » Bernoulli Distributions » Poisson Distributions

## Classes

struct | param_type

## Public Types

typedef _RealType | result_type

## Public Member Functions

template<typename _InputIteratorB , typename _InputIteratorW >
| piecewise_linear_distribution (_InputIteratorB __bfirst, _InputIteratorB __bend, _InputIteratorW __wbegin)
| piecewise_linear_distribution (const param_type &__p)
template<typename _Func >
| piecewise_linear_distribution (initializer_list< _RealType > __bl, _Func __fw)
template<typename _Func >
| piecewise_linear_distribution (size_t __nw, _RealType __xmin, _RealType __xmax, _Func __fw)
template<typename _ForwardIterator , typename _UniformRandomNumberGenerator >
void | __generate (_ForwardIterator __f, _ForwardIterator __t, _UniformRandomNumberGenerator &__urng)
template<typename _ForwardIterator , typename _UniformRandomNumberGenerator >
void | __generate (_ForwardIterator __f, _ForwardIterator __t, _UniformRandomNumberGenerator &__urng, const param_type &__p)
template<typename _UniformRandomNumberGenerator >
void | __generate (result_type *__f, result_type *__t, _UniformRandomNumberGenerator &__urng, const param_type &__p)
std::vector< double > | densities () const
std::vector< _RealType > | intervals () const
result_type | max () const
result_type | min () const
template<typename _UniformRandomNumberGenerator >
result_type | operator() (_UniformRandomNumberGenerator &__urng)
template<typename _UniformRandomNumberGenerator >
result_type | operator() (_UniformRandomNumberGenerator &__urng, const param_type &__p)
param_type | param () const
void | param (const param_type &__param)
void | reset ()

## Friends

template<typename _RealType1 , typename _CharT , typename _Traits >
std::basic_ostream< _CharT, _Traits > & | operator<< (std::basic_ostream< _CharT, _Traits > &__os, const std::piecewise_linear_distribution< _RealType1 > &__x)
bool | operator== (const piecewise_linear_distribution &__d1, const piecewise_linear_distribution &__d2)
template<typename _RealType1 , typename _CharT , typename _Traits >
std::basic_istream< _CharT, _Traits > & | operator>> (std::basic_istream< _CharT, _Traits > &__is, std::piecewise_linear_distribution< _RealType1 > &__x)

## Detailed Description

### template<typename _RealType = double>
class std::piecewise_linear_distribution< _RealType >

A piecewise_linear_distribution random number distribution.

The formula for the piecewise linear probability mass function is

Definition at line 5678 of file random.h.

The documentation for this class was generated from the following files:

- random.h
- bits/random.tcc